## Update

_Make sure to stop the correct container when needed._

1. Backup media

   - `docker exec -it synapse /bin/bash`
   - `mkdir /backup && cd /backup`
   - `tar cvzf synapse_backup.tar.gz /data`
   - `docker cp synapse:/backup/synapse_backup.tar.gz ./backup`

2. Backup database

   - `docker exec -it synapse-postgres /bin/bash`
   - `psql -U <user> -l`
   - `pg_dump -U <user> -Fc synapse > synapse.dump`
   - Apply this (^) for the bridges databases
   - `docker cp synapse-postgres:/synapse.dump ./backup`
   - Apply this (^) for the bridges databases

3. Update

   - `docker-compose pull`
   - `docker-compose up -d`

4. Restore (if needed, usually with bridges)

   - `docker cp ./backup/synapse.dump synapse-postgres:/data`
   - `docker exec -it synapse-postgres /bin/bash`
   - `psql -U <user> -c "CREATE DATABASE synapse;"`
   - `pg_restore -C -U <user> -d synapse /var/lib/postgresql/data/synapse.dump`
